## plasma-nano 6.4.2

=== debian/changelog ===
plasma-nano (6.4.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 13:22:42 +0000

plasma-nano (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:35:15 +0000

plasma-nano (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:50:19 +0000

plasma-nano (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:25:45 +0000

plasma-nano (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:58:59 +0000

plasma-nano (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:11:03 +0000

plasma-nano (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:09:35 +0000

plasma-nano (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:11:32 +0000

plasma-nano (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:55:45 +0000

plasma-nano (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:30:57 +0000

plasma-nano (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:02:03 +0000

plasma-nano (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:35:11 +0000

plasma-nano (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:13:52 +0000

plasma-nano (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:05:41 +0000

plasma-nano (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:14:18 +0000

plasma-nano (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:21:12 +0000

plasma-nano (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:14:14 +0000

plasma-nano (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:32:03 +0000

plasma-nano (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:08:07 +0000

plasma-nano (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:41:09 +0000

plasma-nano (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:00:53 +0000

plasma-nano (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:19:25 +0000

plasma-nano (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:50:57 +0000

plasma-nano (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:23:06 +0000

plasma-nano (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:28 +1000

plasma-nano (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:52:20 +0000

plasma-nano (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:01:16 +0000

plasma-nano (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:09:36 +0000

plasma-nano (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:23:27 +0000

plasma-nano (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:09:46 +0000

plasma-nano (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 16:18:45 +0000

plasma-nano (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:32:06 +0000

plasma-nano (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:13:44 +0000

plasma-nano (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:05:58 +0000

plasma-nano (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:34:51 +0000

plasma-nano (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:28:55 +0000

plasma-nano (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:47:56 +0000

plasma-nano (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:45:07 +0000

plasma-nano (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:24:49 +0000

plasma-nano (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:01:45 +0000

plasma-nano (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:42:21 +0000

plasma-nano (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:14:40 +0000

plasma-nano (5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:11:28 +0000

plasma-nano (5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 13:10:50 +0000

plasma-nano (5.25.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2022 22:47:57 +0000

plasma-nano (5.24.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:28:24 +0000

plasma-nano (5.24.4-0neon) focal; urgency=medium

  * New release



## plasma-nano 6.4.3

=== debian/changelog ===
plasma-nano (6.4.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 13:34:43 +0000

plasma-nano (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:08:27 +0000

## plasma-nano 6.4.4

=== debian/changelog ===
plasma-nano (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:14 +0200

plasma-nano (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 14:24:37 +0200

plasma-nano (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:30:46 +0100

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               kwayland-dev (>= 4:6.4.4~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libplasma-dev (>= 6.4.4~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 6.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-nano)

set(PROJECT_VERSION "6.4.5")

# minimal requirements
set(PROJECT_DEP_VERSION "6.4.5")
set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Gui Qml Quick Svg)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS WindowSystem I18n Service ItemModels)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(CheckIncludeFiles)

plasma_install_package(shell org.kde.plasma.nano shells)
ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.12.0
)


add_subdirectory(components)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

=== debian/changelog ===
plasma-nano (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:38 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.14.0~),
                gettext,
-               kwayland-dev (>= 4:6.4.4~),
+               kwayland-dev (>= 4:6.4.5~),
                libkf6i18n-dev (>= 6.14.0~),
                libkf6itemmodels-dev (>= 6.14.0~),
                libkf6service-dev (>= 6.14.0~),
                libkf6windowsystem-dev (>= 6.14.0~),
-               libplasma-dev (>= 6.4.4~),
+               libplasma-dev (>= 6.4.5~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.8.0~),

## plasma-nano 6.4.5+p24.04+vstable+git20250927.0353

=== debian/changelog ===
plasma-nano (6.4.5+p24.04+vstable+git20250927.0353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 03:53:52 +0000

plasma-nano (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:11:04 +0000

plasma-nano (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:20:54 +0000

## plasma-nano 6.4.5+p24.04+vstable+git20251004.0606

=== debian/changelog ===
plasma-nano (6.4.5+p24.04+vstable+git20251004.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 06:06:19 +0000

## plasma-nano 6.4.5+p24.04+vstable+git20251012.0007

=== debian/changelog ===
plasma-nano (6.4.5+p24.04+vstable+git20251012.0007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 00:07:49 +0000

## plasma-nano 6.4.5+p24.04+vstable+git20251019.0323

=== debian/changelog ===
plasma-nano (6.4.5+p24.04+vstable+git20251019.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:23:22 +0000

## plasma-nano 6.4.91

=== debian/changelog ===
plasma-nano (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 19:42:20 +0200

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kwayland-dev (>= 4:6.4.91~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libplasma-dev (>= 6.4.91~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.0")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.5.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
plasma-nano (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:00:42 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.4.91~),
+               kwayland-dev (>= 4:6.5.0~),
                libkf6i18n-dev (>= 6.18.0~),
                libkf6itemmodels-dev (>= 6.18.0~),
                libkf6service-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
@@ -25,7 +25,6 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano
-Rules-Requires-Root: no
 
 Package: plasma-nano
 Architecture: any

## plasma-nano 6.5.0+p24.04+vstable+git20251021.0738

=== debian/changelog ===
plasma-nano (6.5.0+p24.04+vstable+git20251021.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:38:21 +0000

plasma-nano (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:31:11 +0000

## plasma-nano 6.5.0+p24.04+vstable+git20251028.2233

=== debian/changelog ===
plasma-nano (6.5.0+p24.04+vstable+git20251028.2233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:33:43 +0000

## plasma-nano 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== components/CMakeLists.txt ===
ecm_add_qml_module(plasmananoshellprivateplugin
    URI "org.kde.plasma.private.nanoshell"
    VERSION 2.0
    GENERATE_PLUGIN_SOURCE
    QML_FILES
    qml/StartupFeedback.qml
    DEPENDENCIES QtQuick
)

target_sources(plasmananoshellprivateplugin PRIVATE
    fullscreenoverlay.cpp
    fullscreenoverlay.h
    startupnotifier.cpp
    startupnotifier.h
    )

target_link_libraries(plasmananoshellprivateplugin PRIVATE Qt::Core Qt::Qml Qt::Quick  KF6::WindowSystem Plasma::KWaylandClient KF6::Service)

ecm_finalize_qml_module(plasmananoshellprivateplugin)

=== debian/changelog ===
plasma-nano (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:16:06 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.5.0~),
+               kwayland-dev (>= 4:6.5.1~),
                libkf6i18n-dev (>= 6.18.0~),
                libkf6itemmodels-dev (>= 6.18.0~),
                libkf6service-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.0~),
+               libplasma-dev (>= 6.5.1~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.9.0~),

## plasma-nano 6.5.1+p24.04+vstable+git20251029.0734

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 # minimal requirements
 set(PROJECT_DEP_VERSION "6.5.1")

=== debian/changelog ===
plasma-nano (6.5.1+p24.04+vstable+git20251029.0734-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:34:29 +0000

plasma-nano (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:57:35 +0000

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kitemmodels-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/kde/plasma-nano.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-nano
Maintainer: Neon CI <neon@kde.org>

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(PROJECT_VERSION "6.5.2")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-nano (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:33:58 +0100

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kwayland-dev (>= 4:6.5.2~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.2~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano

Package: plasma-nano
Architecture: any
Depends: plasma-workspace,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-nano (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.5.2~),
+               kwayland-dev (>= 4:6.5.3~),
                libkf6i18n-dev (>= 6.18.0~),
                libkf6itemmodels-dev (>= 6.18.0~),
                libkf6service-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.9.0~),

## plasma-nano 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-nano (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:53:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
-               kwayland-dev (>= 4:6.5.3~),
+               kwayland-dev (>= 4:6.5.4~),
                libkf6i18n-dev (>= 6.18.0~),
                libkf6itemmodels-dev (>= 6.18.0~),
                libkf6service-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.9.0~),

## plasma-nano 6.5.4+p24.04+vunstable+git20251209.1403

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-nano (6.5.4+p24.04+vunstable+git20251209.1403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 14:03:13 +0000

plasma-nano (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:24:09 +1000

plasma-nano (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:49 +1000

plasma-nano (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:48 +1000

## plasma-nano 6.5.4+p24.04+vunstable+git20251212.1245

=== debian/changelog ===
plasma-nano (6.5.4+p24.04+vunstable+git20251212.1245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 12:45:06 +0000

## plasma-nano 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-nano (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:07:14 +0000

plasma-nano (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:20:40 +0000

plasma-nano (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:19 +0000

plasma-nano (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:00 +0000

plasma-nano (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:18 +0000

plasma-nano (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:02 +0100

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kwayland-dev (>= 4:6.5.5~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.5~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 6.5.5+p24.04+vstable+git20260128.0306

=== debian/changelog ===
plasma-nano (6.5.5+p24.04+vstable+git20260128.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 03:06:43 +0000

plasma-nano (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:16 +1000

## plasma-nano 6.5.5+p24.04+vstable+git20260131.0229

=== debian/changelog ===
plasma-nano (6.5.5+p24.04+vstable+git20260131.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:29:23 +0000

## plasma-nano 6.5.5+p24.04+vstable+git20260205.0438

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.5.91")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
plasma-nano (6.5.5+p24.04+vstable+git20260205.0438-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:38:46 +0000

## plasma-nano 6.5.5+p24.04+vunstable+git20260201.0625

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.5.91")
+set(PROJECT_VERSION "6.6.80")
 
 # minimal requirements
 set(PROJECT_DEP_VERSION "6.5.90")

=== debian/changelog ===
plasma-nano (6.5.5+p24.04+vunstable+git20260201.0625-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:25:18 +0000

## plasma-nano 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-nano (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:09 +0000

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,19 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               kwayland-dev (>= 4:6.5.5~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6itemmodels-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.5~),
+               kwayland-dev (>= 4:6.6.1~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6itemmodels-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
+               libplasma-dev (>= 6.6.1~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-svg-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano

## plasma-nano 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-nano (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:22 +0000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.22.0~),
                gettext,
-               kwayland-dev (>= 4:6.6.1~),
+               kwayland-dev (>= 4:6.6.2~),
                libkf6i18n-dev (>= 6.22.0~),
                libkf6itemmodels-dev (>= 6.22.0~),
                libkf6service-dev (>= 6.22.0~),
                libkf6windowsystem-dev (>= 6.22.0~),
-               libplasma-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.10.0~),
